
QGIS Application - Bug report #7516

GRASS Raster: NoData shown with colour of lowest class

2013-04-05 04:34 AM - timmie -

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Windows XP Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16465

Description

I used OSGEO4W QGIS-dev installed on 03.04.2012

Private follow up on topic:

http://thread.gmane.org/gmane.comp.gis.qgis.user/21298/focus=21314

> I have loaded a GRASS raster directly by opening the mapset.

>

> In GRASS maps itself the NoData, i.e. null(), cells are left transparet.

>

> In QGis these are shown with the colour of the most inferior class.

No data values should be transparent by default. If not, it is a bug,

please fill a new bug report.

> How can I get them to be transparent?

>

> In the transparency settings (next tab in properties dialogue), only

> numerical values are allowed for the NoData field.

No data values are represented internally by a numerical value, you

can try to find the no data value (in general tab) and use it in

transparency but that is just a workaround.

Do you see a no data value in "No data value" group box in

transparency tab? Is it checked? What identify tool says for your no

data pixels?

> A similar dicusssion:

>

> http://osgeo-org.1560.n6.nabble.com/No-data-value-in-raster-transparency-list-td4997078.html

History

#1 - 2013-04-05 06:28 AM - timmie -

Do you see a no data value in "No data value" group box in transparency tab?
http://thread.gmane.org/gmane.comp.gis.qgis.user/21298/focus=21314


No, it's empty

Is it checked?

No, greyed out. -> I cannot check it.

What identify tool says for your no data pixels?

Empty Value (Leerwert)

#2 - 2013-04-06 09:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

grass rasters no data values are transparent here on qgis master, can you attach a sample dataset?

#3 - 2014-10-11 06:39 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
